petsc-3.4.2 2013-07-02

# PetscOptionsValidKey

PETSc Options database keys must begin with one or two dashes (-) followed by a letter.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsValidKey(const char in_str[],PetscBool  *key)

### Input Parameter

in_str -string to check if valid

### Output Parameter

key -PETSC_TRUE if a valid key

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages